# $Revision: 1.43 $, $Date: 2012/01/24 13:01:33 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Catalyst - The Elegant MVC Web Application Framework
Summary(pl.UTF-8):	Catalyst - elegancki szkielet MVC dla aplikacji WWW
Name:		perl-Catalyst
Version:	5.90007
Release:	5
Source0:	http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Runtime-%{version}.tar.gz
# Source0-md5:	ca0beb8f4067ee576d24569a0d89f00f
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
URL:		http://www.catalystframework.org/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-B-Hooks-EndOfScope >= 0.08
BuildRequires:	perl(CGI::Simple::Cookie) >= 1.109
BuildRequires:	perl-Class-C3-Adopt-NEXT >= 0.07
BuildRequires:	perl-Class-Data-Inheritable
BuildRequires:	perl-Class-MOP >= 0.95
BuildRequires:	perl-Class-Load >= 0.12
BuildRequires:	perl-Data-Dump
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTTP-Body >= 1.06
BuildRequires:	perl(HTTP::Headers) >= 1.64
BuildRequires:	perl(HTTP::Request) >= 5.814
BuildRequires:	perl-HTTP-Request-AsCGI >= 1.0
BuildRequires:	perl(HTTP::Response) >= 5.813
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-MRO-Compat
BuildRequires:	perl-Module-Pluggable >= 3.9
BuildRequires:	perl-Moose >= 1.03
BuildRequires:	perl-MooseX-Emulate-Class-Accessor-Fast >= 0.00903
BuildRequires:	perl-MooseX-Getopt >= 0.30
BuildRequires:	perl-MooseX-MethodAttributes >= 0.24
BuildRequires:	perl-MooseX-Role-WithOverloading >= 0.09
BuildRequires:	perl(MooseX::Role::WithOverloading) >= 0.09
BuildRequires:	perl(MooseX::Types::Common::Numeric)
BuildRequires:	perl-MooseX-Types-LoadableClass >= 0.003
BuildRequires:	perl-Path-Class >= 0.09
BuildRequires:	perl-Plack >= 0.9974
BuildRequires:	perl-Plack-Middleware-ReverseProxy  >= 0.04
BuildRequires:	perl-Plack-Test-ExternalServer
BuildRequires:	perl-String-RewritePrefix >= 0.004
BuildRequires:	perl-Sub-Exporter
BuildRequires:	perl-Task-Weaken
#BuildRequires:	perl-Task-More >= 0.88
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Text-SimpleTable >= 0.03
BuildRequires:	perl-Tree-Simple >= 1.15
BuildRequires:	perl-Tree-Simple-VisitorFactory
BuildRequires:	perl-URI >= 1.35
BuildRequires:	perl-libwww
BuildRequires:	perl-namespace-autoclean >= 0.09
BuildRequires:	perl-namespace-clean >= 0.13
%endif
Requires:	perl(Term::Size::Any)
Requires:	perl-HTTP-Request-AsCGI
Obsoletes:	perl-Catalyst-Engine-CGI-APR
Obsoletes:	perl-Catalyst-Engine-FastCGI
Obsoletes:	perl-Catalyst-Engine-FastCGI-APR
Obsoletes:	perl-Catalyst-Engine-SpeedyCGI
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Module::Build)' 'perl(Catalyst::.*)'

%description
Catalyst is an elegant web application framework, extremely flexible
yet extremely simple. It's similar to Ruby on Rails, Spring (Java) and
Maypole, upon which it was originally based.

Catalyst follows the Model-View-Controller (MVC) design pattern,
allowing you to easily separate concerns, like content, presentation,
and flow control, into separate modules. This separation allows you to
modify code that handles one concern without affecting code that
handles the others. Catalyst promotes the re-use of existing Perl
modules that already handle common web application concerns well.

%description -l pl.UTF-8
Catalyst to elegancki szkielet dla aplikacji WWW, ekstremalnie
elastyczny, ale i ekstremalnie prosty. Jest podobny do środowisk Ruby
on Rails, Spring (Java) czy Maypole, na którym był oryginalnie oparty.

Catalyst jest zgodny ze wzorem projektowym MVC (Model-View-Controller
- model-widok-kontroler), pozwalając na łatwe rozdzielenie rzeczy
  takich jak treść, prezentacja i kontrola ruchu na oddzielne moduły.
  Ten podział pozwala na modyfikowanie kodu obsługującego jedną rzecz
  bez wpływania na kod obsługujący co innego. Catalyst skutecznie
  poszerza wielokrotną używalność istniejących modułów perla
  obsługujących różne aspekty aplikacji WWW.

%prep
%setup -q -n Catalyst-Runtime-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
#: \	--skipdeps
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Catalyst/{View/REST,Model,Plugin/HTML,Action}
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Catalyst/Helper/{View,Model}
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/CatalystX

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Catalyst.pm
%dir %{perl_vendorlib}/Catalyst
%dir %{perl_vendorlib}/CatalystX
%{perl_vendorlib}/Catalyst/*.pm
%{perl_vendorlib}/Catalyst/Component
%{perl_vendorlib}/Catalyst/DispatchType
%{perl_vendorlib}/Catalyst/Engine
%{perl_vendorlib}/Catalyst/Exception
%{perl_vendorlib}/Catalyst/Helper
%{perl_vendorlib}/Catalyst/Model
%dir %{perl_vendorlib}/Catalyst/View
%dir %{perl_vendorlib}/Catalyst/View/REST
%dir %{perl_vendorlib}/Catalyst/Model
%dir %{perl_vendorlib}/Catalyst/Action
%{perl_vendorlib}/Catalyst/Plugin
%{perl_vendorlib}/Catalyst/Component/ApplicationAttribute.pm
%{perl_vendorlib}/Catalyst/Request
%{perl_vendorlib}/Catalyst/Script
%attr(755,root,root) %{_bindir}/catalyst.pl
%{_mandir}/man3/*
%{_mandir}/man1/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst.spec,v $
Revision 1.43  2012/01/24 13:01:33  zbyniu
- BR: perl(MooseX::Types::Common::Numeric), rel 5

Revision 1.42  2012/01/24 12:08:52  zbyniu
- release 4

Revision 1.41  2012/01/24 11:11:41  zbyniu
- release 3

Revision 1.40  2012/01/24 11:02:11  zbyniu
- release 2

Revision 1.39  2012/01/24 10:28:47  zbyniu
- up to 5.90007; Engine-FastCGI no longer exist

Revision 1.38  2009/10/16 12:30:33  amateja
- updated to 5.80013

Revision 1.37  2009/09/10 15:05:12  radek
- version 5.80012

Revision 1.36  2009/09/07 13:13:39  amateja
- added R perl(Term::Size::Any)
- release 4

Revision 1.35  2009/09/07 12:41:47  amateja
- huge cleanup in BRs
- release 3

Revision 1.34  2009/09/07 12:08:12  amateja
- release 2

Revision 1.33  2009/09/06 17:41:31  amateja
- updated to 5.80011
- cleaned up BRs

Revision 1.32  2009/06/16 11:21:19  amateja
- fixed tag order

Revision 1.31  2009/06/16 10:35:19  amateja
- updated to 5.80005

Revision 1.30  2009/01/27 12:14:54  radek
- release 2: add vendorlib/Catalyst/View/REST

Revision 1.29  2009/01/22 14:19:12  radek
- version 5.71000

Revision 1.28  2009/01/11 12:32:18  radek
- release 3: add the %{perl_vendorlib}/CatalystX directory

Revision 1.27  2009/01/11 12:04:49  radek
- release 2: dir Catalyst/Plugin/HTML

Revision 1.26  2008/12/13 18:27:04  qboosh
- unified

Revision 1.25  2008/12/11 14:16:33  radek
- version 5.7015

Revision 1.24  2008/12/11 13:56:43  radek
- release 2: R:perl-HTTP-Request-AsCGI

Revision 1.23  2008-02-17 19:21:03  radek
- version 5.7012

Revision 1.22  2007/09/09 12:30:04  radek
- version 5.7010, get rid of *.pod

Revision 1.21  2007/03/30 11:30:54  radek
- release 2: add perl_vendorlib/Catalyst/Model/

Revision 1.20  2007/03/23 11:15:46  radek
- version 5.7007

Revision 1.19  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.17  2007/02/09 22:17:56  radek
- release 2: BR perl-Data-Dump, _noautoreq Catalyst::*; STBR

Revision 1.16  2006/08/19 22:28:18  qboosh
- more Obsoletes for Engines removed in 5.5x

Revision 1.15  2006/08/19 22:21:47  qboosh
- Obsoletes: -Engine-SpeedyCGI

Revision 1.14  2006/08/12 15:53:55  migo
- up to 5.7001
- SpeedyCGI is gone

Revision 1.13  2006/02/13 16:53:49  migo
- up to 5.64

Revision 1.12  2006/02/13 16:36:50  migo
- up to 5.63
- Module::Build is no longer used

Revision 1.11  2005/11/18 19:28:01  migo
- up to 5.56

Revision 1.10  2005/11/14 19:12:22  migo
- up to 5.52
- removed Engines, updated BR's, etc.

Revision 1.9  2005/08/15 15:49:26  radek
- version 5.33

Revision 1.8  2005/07/12 17:53:24  migo
- up to 5.30
- missing dirs
- removed bad BR

Revision 1.7  2005/06/08 15:32:09  migo
- missing View dir

Revision 1.6  2005/06/06 18:28:27  qboosh
- pl for new subpackages

Revision 1.5  2005/06/04 18:04:12  migo
- up to 5.23
- do not require Module::Build - it is required only by Makefile.PL generated
  by catalyst.pl helper script
- separate APR engines into their own subpackages - get rid of libapreq2
  requirement

Revision 1.4  2005/06/02 18:02:15  qboosh
- pl, missing dirs and defattrs

Revision 1.3  2005/06/01 20:42:32  glen
- add R(perl-libapreq2), earlier versions don't work (missing deps)

Revision 1.2  2005/06/01 09:09:37  glen
- BR for tests

Revision 1.1  2005/05/31 19:50:27  migo
- initial revision
- NFY
